<template>
    <div class="login-page"  :class="this.$store.state.them === 'dark' ? 'dark' : 'light' "  >
        <div class="body-login">
            <div class="logo"><img src="/images/logo.png" alt="" /></div>
            <div class="title">Войти в систему</div>
            <div>
                <form id="login" @submit.prevent="onSubmit">

                    <div class="item-field">
                        <div class="control-label">Логин</div>
                        <input type="text" v-model="form.username" name="username">
                    </div>
                    <div class="item-field">
                        <div class="control-label">Пароль</div>
                        <input type="password" v-model="form.password" name="password">
                    </div>

                    <div v-if="isStartLoaded" class="loading-container" style="height: 45px; "><div class="loading-box"></div></div>
                    <div v-else class="btns">
                        <input type="submit" class="btn btn-primary" value="Войти">
                    </div>

                    <div class="error" v-if="this.$store.state.errorLogin">
                        {{ this.$store.state.errorLogin }}
                    </div>

                </form>
            </div>
        </div>
    </div>
</template>

<script>
    import { store } from '../main';

    export default {
        name: "login-page",
        data() {
            return {
                form: {
                    grant_type: 'password',
                    username: '',
                    password: ''
                },
                isLoading: false
            };
        },
        computed: {
            isStartLoaded() {
                return this.$store.getters.isLoading('token') ? this.$store.getters.isLoading('token') : false;
            },
        },
        methods: {
            onSubmit() {
                store.dispatch('loginUser', this.form);
            },
        },
        beforeRouteEnter (to, from, next) {
            let them  =  localStorage.getItem('theme');
            store.commit('setTheme', them ? them : 'dark');
            localStorage.getItem('theme');
            next();
        },
    }
</script>

<style scoped>

    .logo {
        margin-bottom: 20px;
        font-size: 24px;
        line-height: 40px;
        font-family: NS-B, serif;
    }
    .logo img {
        height: 150px;
        margin: -25px 0;
    }
    .error {
        margin-top: 15px;
        color: #a70c00;
    }
    .login-page.dark {
        background: url(/images/admin_d.jpg) no-repeat 50%;
        background-size: cover;
        color: #c9cacd;
    }
    .login-page.dark .body-login {
        background: rgba(0,0,0,.6);
        border: 2px solid #fff;
    }
    .login-page.dark .loading-container {
        background: transparent;
    }
    .login-page.dark .body-login .control-label {
        color: #c9cacd;
        margin-bottom: 3px;
    }
    .login-page.dark .body-login input {
        background: #323440 !important;
        border: 1px solid #c9cacd;
        padding: 0 10px;
        color: #fff;
    }
    .login-page.dark .error {
        color: #ff1616;
    }
</style>
